Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## archive.data
Enum Prenotazione.Tipo

    java.lang.Object
      java.lang.Enum<Prenotazione.Tipo>
          archive.data.Prenotazione.Tipo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Prenotazione.Tipo>

Enclosing class:
  Prenotazione

    public static enum Prenotazione.Tipo

extends java.lang.Enum<Prenotazione.Tipo>

Enumerativo per indicare il tipo della stanza D doppia S suite

Enum Constant Summary
`D`
`S`

Method Summary
`static Prenotazione.Tipo` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Prenotazione.Tipo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### D

    public static final Prenotazione.Tipo D

### S

    public static final Prenotazione.Tipo S

Method Detail

### values

    public static Prenotazione.Tipo[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Prenotazione.Tipo c : Prenotazione.Tipo.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Prenotazione.Tipo valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD